Package org.picocontainer

# Class Parameter.ValueResolver

java.lang.Object
org.picocontainer.Parameter.ValueResolver

All Implemented Interfaces:
  `Parameter.Resolver`

Enclosing interface:
  `Parameter`

public static class Parameter.ValueResolver extends Object implements Parameter.Resolver
A fixed value wrapped as a Resolver

## Constructor Summary

Constructors
Constructor
Description
`ValueResolver(boolean resolvable, Object value, ComponentAdapter<?> adapter)`

## Method Summary

Modifier and Type
Method
Description
`ComponentAdapter<?>`
`getComponentAdapter()`
`boolean`
`isResolved()`
`Object`
`resolveInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueResolver

public ValueResolver(boolean resolvable, Object value, ComponentAdapter<?> adapter)

## Method Details

### isResolved

public boolean isResolved()

Specified by:
  `isResolved` in interface `Parameter.Resolver`
Returns:
  can the parameter be resolved

### resolveInstance

public Object resolveInstance()

Specified by:
  `resolveInstance` in interface `Parameter.Resolver`
Returns:
  the instance to be used to inject as a parameter

### getComponentAdapter

public ComponentAdapter<?> getComponentAdapter()

Specified by:
  `getComponentAdapter` in interface `Parameter.Resolver`
Returns:
  the ComponentAdapter for the parameter in question